%global _description\
This package provides many handlers which beyond the scope of standard library\
or are ported from newer Python releases for using in older versions of Python.\
These handlers are designed for Python standard library's logging package.

Name:           python-logutils
Version:        0.3.5
Release:        8
License:        BSD
Summary:        Handlers for Python library's logging package
URL:            https://pypi.io/project/logutils
Source0:        https://pypi.io/packages/source/l/logutils/logutils-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel python3-devel

%description %_description

%package        -n python2-logutils
Summary:        Handlers for Python library's logging package
%{?python_provide:%python_provide python2-logutils}

%description    -n python2-logutils
%_description

%package        -n python3-logutils
Summary:        Handlers for Python library's logging package
%{?python_provide:%python_provide python3-logutils}

%description    -n python3-logutils
%_description

%package        -n help
Summary:        Documentation for python-logutils
Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description    -n help
Documentation for python-logutils

%prep
%autosetup -n logutils-%{version}

rm -rf logutils.egg-info
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%{__python2} setup.py build
cd %{py3dir}
%{__python3} setup.py build
cd -

%install
cd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
cd -
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%{__python2} setup.py test
cd %{py3dir}
%{__python3} setup.py test

%files          -n python2-logutils
%license LICENSE.txt
%doc README.rst NEWS.txt
%{python2_sitelib}/logutils/
%{python2_sitelib}/logutils-%{version}*

%files          -n python3-logutils
%license LICENSE.txt
%doc README.rst NEWS.txt
%{python3_sitelib}/logutils/
%{python3_sitelib}/logutils-%{version}-*

%files          -n help
%doc doc/

%changelog
* Mon Sep 27 2021 caodongxia <caodongxia@huawei.com> - 0.3.5-8
- Provides python-logutils

* Thu Mar 12 2020 lihao <lihao129@huawei.com> - 0.3.5-7
- Package Init
